%define uname	thermalmonitor

Name:		plasma-thermalmonitor
Version:	0.1.3
Release:	%mkrel 1
Summary:	Plasma applet for monitoring CPU, GPU and other available temperature sensors
Group:		Graphical desktop/KDE
License:	MIT
Url:		https://github.com/olib14/thermalmonitor
Source0:	https://github.com/olib14/thermalmonitor/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch1:		thermalmonitor-adapt-to-libplasma.patch
BuildArch:	noarch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)

BuildRequires:	cmake(Plasma)

BuildRequires:	gettext-devel

Requires:	ksystemstats
Requires:	ksysguard
Requires:	kitemmodels
Requires:	kdeclarative
Requires:	plasma-workspace

Obsoletes:	plasma-applet-thermal-monitor < 1.3.0-4
Provides:	plasma-applet-thermal-monitor

%description
Plasma applet for monitoring CPU, GPU and other available
temperature sensors.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_kf6_metainfodir}/org.kde.olib.thermalmonitor.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.olib.thermalmonitor/


%changelog
* Wed Jan 10 2024 daviddavid <daviddavid> 0.1.3-1.mga10
+ Revision: 2029408
- new version: 0.1.3
- switch to Kf6/Qt6

* Thu Aug 31 2023 daviddavid <daviddavid> 0.1.1-1.mga10
+ Revision: 1982087
- initial package plasma-thermalmonitor (a replacement for plasma-applet-thermal-monitor)

